/*----- PROTECTED REGION ID(Agilent33500BStateMachine.cpp) ENABLED START -----*/
static const char *RcsId = "$Id:  $";
//=============================================================================
//
// file :        Agilent33500BStateMachine.cpp
//
// description : State machine file for the Agilent33500B class
//
// project :     Agilent33500B
//
// This file is part of Tango device class.
// 
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
// 
// $Author:  $
//
// $Revision:  $
// $Date:  $
//
// $HeadURL:  $
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include "Agilent33500B.h"

/*----- PROTECTED REGION END -----*/	//	Agilent33500B::Agilent33500BStateMachine.cpp

//================================================================
//  States  |  Description
//================================================================
//  ON      |  
//  OFF     |  
//  MOVING  |  


namespace Agilent33500B_ns
{
//=================================================
//		Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_Impedance_allowed()
 *	Description: Execution allowed for Impedance attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_Impedance_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::ImpedanceStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::ImpedanceStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for Impedance attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::ImpedanceStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::ImpedanceStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_Amplitude_allowed()
 *	Description: Execution allowed for Amplitude attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_Amplitude_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::AmplitudeStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::AmplitudeStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for Amplitude attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::AmplitudeStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::AmplitudeStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_Offset_allowed()
 *	Description: Execution allowed for Offset attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_Offset_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::OffsetStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::OffsetStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for Offset attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::OffsetStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::OffsetStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_SampleRate_allowed()
 *	Description: Execution allowed for SampleRate attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_SampleRate_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::SampleRateStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::SampleRateStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for SampleRate attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::SampleRateStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::SampleRateStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_TriggerMode_allowed()
 *	Description: Execution allowed for TriggerMode attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_TriggerMode_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::TriggerModeStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::TriggerModeStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for TriggerMode attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::TriggerModeStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::TriggerModeStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_Triggering_allowed()
 *	Description: Execution allowed for Triggering attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_Triggering_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::TriggeringStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::TriggeringStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for Triggering attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::TriggeringStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::TriggeringStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_Delay_allowed()
 *	Description: Execution allowed for Delay attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_Delay_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::DelayStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::DelayStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for Delay attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::DelayStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::DelayStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_TrackMode_allowed()
 *	Description: Execution allowed for TrackMode attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_TrackMode_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::TrackModeStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::TrackModeStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for TrackMode attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::TrackModeStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::TrackModeStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_BurstMode_allowed()
 *	Description: Execution allowed for BurstMode attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_BurstMode_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::BurstModeStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::BurstModeStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for BurstMode attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::BurstModeStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::BurstModeStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_BurstCycle_allowed()
 *	Description: Execution allowed for BurstCycle attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_BurstCycle_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::BurstCycleStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::BurstCycleStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for BurstCycle attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::BurstCycleStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::BurstCycleStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_BurstState_allowed()
 *	Description: Execution allowed for BurstState attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_BurstState_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::BurstStateStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::BurstStateStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for BurstState attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::BurstStateStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::BurstStateStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_HighVoltage_allowed()
 *	Description: Execution allowed for HighVoltage attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_HighVoltage_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::HighVoltageStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::HighVoltageStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for HighVoltage attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::HighVoltageStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::HighVoltageStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_LowVoltage_allowed()
 *	Description: Execution allowed for LowVoltage attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_LowVoltage_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::LowVoltageStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::LowVoltageStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for LowVoltage attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::LowVoltageStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::LowVoltageStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_Configuration_File_allowed()
 *	Description: Execution allowed for Configuration_File attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_Configuration_File_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for Configuration_File attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::Configuration_FileStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::Configuration_FileStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_Function_allowed()
 *	Description: Execution allowed for Function attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_Function_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::FunctionStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::FunctionStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for Function attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::FunctionStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::FunctionStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_Frequency_allowed()
 *	Description: Execution allowed for Frequency attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_Frequency_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::FrequencyStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::FrequencyStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for Frequency attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::FrequencyStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::FrequencyStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_NoiseBandwidth_allowed()
 *	Description: Execution allowed for NoiseBandwidth attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_NoiseBandwidth_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for NoiseBandwidth attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33500B::NoiseBandwidthStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::NoiseBandwidthStateAllowed_WRITE

	//	Not any excluded states for NoiseBandwidth attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::NoiseBandwidthStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::NoiseBandwidthStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_OutputMode_allowed()
 *	Description: Execution allowed for OutputMode attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_OutputMode_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for OutputMode attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33500B::OutputModeStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::OutputModeStateAllowed_WRITE

	//	Not any excluded states for OutputMode attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::OutputModeStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::OutputModeStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_WaveformFilter_allowed()
 *	Description: Execution allowed for WaveformFilter attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_WaveformFilter_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for WaveformFilter attribute in Write access.
	/*----- PROTECTED REGION ID(Agilent33500B::WaveformFilterStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::WaveformFilterStateAllowed_WRITE

	//	Not any excluded states for WaveformFilter attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::WaveformFilterStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::WaveformFilterStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_Waveform_allowed()
 *	Description: Execution allowed for Waveform attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_Waveform_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE
		if (get_state()==Tango::MOVING)
		{
		/*----- PROTECTED REGION ID(Agilent33500B::WaveformStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::WaveformStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Not any excluded states for Waveform attribute in read access.
	/*----- PROTECTED REGION ID(Agilent33500B::WaveformStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::WaveformStateAllowed_READ
	return true;
}


//=================================================
//		Commands Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_Reset_allowed()
 *	Description: Execution allowed for Reset attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_Reset_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::MOVING)
	{
	/*----- PROTECTED REGION ID(Agilent33500B::ResetStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::ResetStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_On_allowed()
 *	Description: Execution allowed for On attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_On_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::MOVING)
	{
	/*----- PROTECTED REGION ID(Agilent33500B::OnStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::OnStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_Off_allowed()
 *	Description: Execution allowed for Off attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_Off_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::MOVING)
	{
	/*----- PROTECTED REGION ID(Agilent33500B::OffStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::OffStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_LoadConfigurationFile_allowed()
 *	Description: Execution allowed for LoadConfigurationFile attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_LoadConfigurationFile_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::MOVING)
	{
	/*----- PROTECTED REGION ID(Agilent33500B::LoadConfigurationFileStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::LoadConfigurationFileStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_SaveConfigurationFile_allowed()
 *	Description: Execution allowed for SaveConfigurationFile attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_SaveConfigurationFile_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::MOVING)
	{
	/*----- PROTECTED REGION ID(Agilent33500B::SaveConfigurationFileStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::SaveConfigurationFileStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_GetConfigurationFilePath_allowed()
 *	Description: Execution allowed for GetConfigurationFilePath attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_GetConfigurationFilePath_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for GetConfigurationFilePath command.
	/*----- PROTECTED REGION ID(Agilent33500B::GetConfigurationFilePathStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::GetConfigurationFilePathStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_SaveToFlash_allowed()
 *	Description: Execution allowed for SaveToFlash attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_SaveToFlash_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for SaveToFlash command.
	/*----- PROTECTED REGION ID(Agilent33500B::SaveToFlashStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::SaveToFlashStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Agilent33500B::is_ReLoadConfigurationFile_allowed()
 *	Description: Execution allowed for ReLoadConfigurationFile attribute
 */
//--------------------------------------------------------
bool Agilent33500B::is_ReLoadConfigurationFile_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::MOVING)
	{
	/*----- PROTECTED REGION ID(Agilent33500B::ReLoadConfigurationFileStateAllowed) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	Agilent33500B::ReLoadConfigurationFileStateAllowed
		return false;
	}
	return true;
}


/*----- PROTECTED REGION ID(Agilent33500B::Agilent33500BStateAllowed.AdditionalMethods) ENABLED START -----*/

//	Additional Methods

/*----- PROTECTED REGION END -----*/	//	Agilent33500B::Agilent33500BStateAllowed.AdditionalMethods

}	//	End of namespace
